Packages Json

Packages Used

1
{
2
"main": "node_modules/expo/AppEntry.js",
3
"scripts": {
4
"start": "expo start",
5
"android": "expo start --android",
6
"ios": "expo start --ios",
7
"web": "expo start --web",
8
"eject": "expo eject",
9
"format": "prettier --write '**/*.js'",
10
"lint:fix": "eslint . --ext .js --fix",
11
"postinstall": "patch-package"
12
},
13
"husky": {
14
"hooks": {
15
"pre-commit": "lint-staged"
16
}
17
},
18
"lint-staged": {
19
"*.js": [
20
"npm run format",
21
"npm run lint:fix"
22
]
23
},
24
"dependencies": {
25
"@apollo/react-hooks": "^3.1.5",
26
"@apollo/react-testing": "^3.1.4",
27
"@react-native-async-storage/async-storage": "^1.13.2",
28
"@react-native-community/masked-view": "0.1.10",
29
"@react-navigation/bottom-tabs": "^5.6.1",
30
"@react-navigation/material-top-tabs": "^5.2.12",
31
"@react-navigation/native": "^5.6.1",
32
"@react-navigation/stack": "^5.6.2",
33
"@use-expo/font": "^2.0.0",
34
"apollo-cache-inmemory": "^1.6.6",
35
"apollo-client": "^2.6.10",
36
"apollo-link": "^1.2.14",
37
"apollo-link-context": "^1.0.20",
38
"apollo-link-error": "^1.1.13",
39
"apollo-link-http": "^1.5.17",
40
"apollo-link-ws": "^1.0.20",
41
"expo": "^40.0.0",
42
"expo-notifications": "~0.8.2",
43
"expo-status-bar": "~1.0.3",
44
"graphql": "^14.7.0",
45
"graphql-tag": "^2.10.3",
46
"patch-package": "^6.2.2",
47
"react": "16.13.1",
48
"react-dom": "16.13.1",
49
"react-native": "https://github.com/expo/react-native/archive/sdk-40.0.1.tar.gz",
50
"react-native-flash-message": "^0.1.21",
51
"react-native-gesture-handler": "~1.8.0",
52
"react-native-material-textfield": "^0.16.1",
53
"react-native-reanimated": "~1.13.0",
54
"react-native-safe-area-context": "3.1.9",
55
"react-native-screens": "~2.15.0",
56
"react-native-tab-view": "^2.14.4",
57
"react-native-web": "~0.13.12",
58
"subscriptions-transport-ws": "^0.9.16",
59
"validate.js": "^0.13.1"
60
},
61
"devDependencies": {
62
"@babel/core": "~7.9.0",
63
"babel-preset-expo": "8.3.0",
64
"eslint": "^7.1.0",
65
"eslint-config-standard": "^14.1.1",
66
"eslint-plugin-import": "^2.20.2",
67
"eslint-plugin-node": "^11.1.0",
68
"eslint-plugin-promise": "^4.2.1",
69
"eslint-plugin-react": "^7.20.0",
70
"eslint-plugin-standard": "^4.0.1",
71
"husky": "^4.2.5",
72
"lint-staged": "^10.2.7",
73
"prettier": "2.0.5",
74
"prettier-config-standard": "^1.0.1"
75
},
76
"private": true
77
}
78
Copied!
Copy link